Show / Hide Table of Contents

# Class UIGlowPayload

An SeString Payload representing a UI glow color applied to following text payloads.

##### Inheritance

System.Object
Payload
UIGlowPayload

##### Inherited Members

Payload.Dirty
Payload.DataResolver
Payload.Encode(Boolean)
Payload.Decode(BinaryReader, DataManager)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32, Boolean, Boolean)
Payload.GetMarkerForPackedIntegerBytes(Byte[])
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32, Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Chat.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class UIGlowPayload : Payload

### Constructors

| Improve this Doc View Source

#### UIGlowPayload(DataManager, UInt16)

Creates a new UIForegroundPayload for the given UIColor key.

##### Declaration

    public UIGlowPayload(DataManager data, ushort colorKey)

##### Parameters

Type | Name | Description
--- | --- | ---
DataManager | data | DataManager instance needed to resolve game data.
System.UInt16 | colorKey |

### Properties

| Improve this Doc View Source

#### ColorKey

The color key used as a lookup in the UIColor table for this glow color.

##### Declaration

    [JsonIgnore]
    public ushort ColorKey { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### IsEnabled

Whether or not this payload represents applying a glow color, or disabling one.

##### Declaration

    public bool IsEnabled { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RGB

The Red/Green/Blue values for this glow color, encoded as a typical hex color.

##### Declaration

    [JsonIgnore]
    public uint RGB { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type
| Improve this Doc View Source

#### UIColor

A Lumina UIColor object representing this payload. The actual color data is at UIColor.UIGlow

##### Declaration

    [JsonIgnore]
    public UIColor UIColor { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.UIColor |

##### Remarks

Value is evaluated lazily and cached.

| Improve this Doc View Source

#### UIGlowOff

Payload representing disabling glow color on following text.

##### Declaration

    public static UIGlowPayload UIGlowOff { get; }

##### Property Value

Type | Description
--- | ---
UIGlowPayload |

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader |
System.Int64 | endOfStream |

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] |

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### GetMarkerForIntegerBytes(Byte[])

##### Declaration

    protected override byte GetMarkerForIntegerBytes(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes |

##### Returns

Type | Description
--- | ---
System.Byte |

##### Overrides

Payload.GetMarkerForIntegerBytes(Byte[])
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()